# Comentarios del endpoint (/es/api-reference/endpoint/feedback)

<!-- agent-signals: reading_time_min: 4 · est_tokens: 2878 · updated: 2026-07-30 -->
Related: [Búsqueda](/es/api-reference/endpoint/search.md), [Comentarios sobre la búsqueda](/es/api-reference/endpoint/search-feedback.md), [Scrape](/es/api-reference/endpoint/scrape.md), [Raspado en lote](/es/api-reference/endpoint/batch-scrape.md), [Obtener el estado de la captura por lotes](/es/api-reference/endpoint/batch-scrape-get.md), [Cancelar extracción en lote](/es/api-reference/endpoint/batch-scrape-delete.md)

Usa los comentarios del endpoint para indicar a Firecrawl si el resultado de un trabajo completado fue útil, parcial o malo. Esto sirve para evaluar la calidad de la salida a nivel de endpoint en trabajos como `scrape`, `parse`, `map` y `search`.

El esquema genérico de comentarios también puede incluir campos de tipo search, pero [Comentarios de Search](/es/api-reference/endpoint/search-feedback) es el punto de entrada recomendado para search porque está asociado a un ID de trabajo de search y destaca fuentes valiosas, contenido faltante, sugerencias de consulta y el comportamiento de reembolso.

<div id="example-request">
  ### Solicitud de ejemplo [#solicitud-de-ejemplo]
</div>

```bash
curl -X POST "https://api.firecrawl.dev/v2/feedback" \
  -H "Authorization: Bearer $FIRECRAWL_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "endpoint": "scrape",
    "jobId": "550e8400-e29b-41d4-a716-446655440000",
    "rating": "partial",
    "issues": ["missing_markdown"],
    "note": "The pricing table was missing from the markdown output.",
    "url": "https://example.com/pricing"
  }'
```

`POST /feedback`

Enviar comentarios para un trabajo de v2

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "allOf": [
            {
              "description": "Para 'good', incluye valuableSources. Para 'partial', incluye valuableSources o missingContent. Para 'bad', incluye missingContent o querySuggestions.",
              "properties": {
                "integration": {
                  "nullable": true,
                  "type": "string"
                },
                "missingContent": {
                  "items": {
                    "properties": {
                      "description": {
                        "maxLength": 2000,
                        "type": "string"
                      },
                      "topic": {
                        "maxLength": 200,
                        "minLength": 1,
                        "type": "string"
                      }
                    },
                    "required": [
                      "topic"
                    ],
                    "type": "object"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "origin": {
                  "default": "api",
                  "type": "string"
                },
                "querySuggestions": {
                  "maxLength": 2000,
                  "type": "string"
                },
                "rating": {
                  "enum": [
                    "good",
                    "partial",
                    "bad"
                  ],
                  "type": "string"
                },
                "valuableSources": {
                  "items": {
                    "properties": {
                      "reason": {
                        "maxLength": 1000,
                        "type": "string"
                      },
                      "url": {
                        "format": "uri",
                        "type": "string"
                      }
                    },
                    "required": [
                      "url"
                    ],
                    "type": "object"
                  },
                  "maxItems": 50,
                  "type": "array"
                }
              },
              "required": [
                "rating"
              ],
              "type": "object"
            },
            {
              "description": "Enviar comentarios para un trabajo de v2. Incluye al menos una señal relevante, como issues, note, valuableSources, missingContent, querySuggestions, url o pageNumbers.",
              "properties": {
                "endpoint": {
                  "enum": [
                    "search",
                    "scrape",
                    "parse",
                    "map"
                  ],
                  "type": "string"
                },
                "issues": {
                  "items": {
                    "maxLength": 80,
                    "pattern": "^[a-z0-9][a-z0-9_-]*$",
                    "type": "string"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "jobId": {
                  "format": "uuid",
                  "type": "string"
                },
                "metadata": {
                  "additionalProperties": true,
                  "description": "Objeto pequeño de metadatos específico del endpoint. Debe tener un tamaño máximo de 8 KB; no incluyas los resultados completos del endpoint.",
                  "type": "object"
                },
                "missingContent": {
                  "items": {
                    "properties": {
                      "description": {
                        "maxLength": 2000,
                        "type": "string"
                      },
                      "topic": {
                        "maxLength": 200,
                        "minLength": 1,
                        "type": "string"
                      }
                    },
                    "required": [
                      "topic"
                    ],
                    "type": "object"
                  },
                  "maxItems": 50,
                  "type": "array"
                },
                "note": {
                  "maxLength": 4000,
                  "type": "string"
                },
                "pageNumbers": {
                  "items": {
                    "minimum": 1,
                    "type": "integer"
                  },
                  "maxItems": 100,
                  "type": "array"
                },
                "tags": {
                  "items": {
                    "maxLength": 80,
                    "pattern": "^[a-z0-9][a-z0-9_-]*$",
                    "type": "string"
                  },
                  "maxItems": 20,
                  "type": "array"
                },
                "url": {
                  "format": "uri",
                  "type": "string"
                }
              },
              "required": [
                "endpoint",
                "jobId"
              ],
              "type": "object"
            }
          ]
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "alreadySubmitted": {
                "type": "boolean"
              },
              "creditsRefunded": {
                "type": "number"
              },
              "creditsRefundedToday": {
                "type": "number"
              },
              "dailyCapReached": {
                "type": "boolean"
              },
              "dailyRefundCap": {
                "type": "number"
              },
              "feedbackId": {
                "format": "uuid",
                "type": "string"
              },
              "success": {
                "example": true,
                "type": "boolean"
              },
              "warning": {
                "type": "string"
              }
            },
            "required": [
              "success",
              "feedbackId",
              "creditsRefunded"
            ],
            "type": "object"
          }
        }
      },
      "description": "Comentarios registrados"
    },
    "400": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Cuerpo de la solicitud no válido"
    },
    "403": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Los comentarios no están disponibles para este equipo"
    },
    "404": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "No se encontró el trabajo para este equipo"
    },
    "409": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "No se pueden registrar comentarios para este trabajo"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "properties": {
              "details": {
                "items": {
                  "type": "object"
                },
                "type": "array"
              },
              "error": {
                "type": "string"
              },
              "feedbackErrorCode": {
                "type": "string"
              },
              "success": {
                "example": false,
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "error"
            ],
            "type": "object"
          }
        }
      },
      "description": "Error del servidor"
    }
  }
}
```
